1 Reply Latest reply on Jun 27, 2013 4:19 PM by Brad Davis

    The Hibernate persistence provider class name is changed in Hibernate ORM 4.3.x

    Scott Marlow Master

      When JPA applications migrate to use Hibernate ORM 4.3.x, they may need to update their persistence.xml.

       

      Hibernate version 4.3.0 is changing to use

      <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>

       

      Older versions of Hibernate ORM, continue to work with persistence.xml(s) that contain <provider>org.hibernate.ejb.HibernatePersistence</provider>.

       

      Some applications persistence.xml(s) do not specify the provider class name (using the default persistence provider instead).  That will also continue to work.

       

      WildFly 8 will default to Hibernate ORM 4.3.0, which applications will need to update their persistence.xml(s) for (if they are specifying the org.hibernate.ejb.HibernatePersistence class).

       

      Scott